> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/sms-campaigns/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Add SMS campaign POST https://api.mailchimp.com/3.0/sms-campaigns Content-Type: application/json Create a new SMS campaign. Reference: https://mailchimp.com/developer/marketing/api/sms-campaigns/create ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Body (application/json) This endpoint expects an object. - `name` (string, required) — The name of the campaign. - `list_id` (integer, optional) — The numeric ID of the list to send the campaign to. - `folder_id` (string, optional) — The ID of the folder to place this campaign in. - `segments` (list of integer, optional) — The segment IDs to target for this campaign. - `excluded_segments` (list of integer, optional) — The segment IDs to exclude from this campaign. ## Response ### 200 - `id` (string, optional) — A string that uniquely identifies this campaign. - `web_id` (string, optional) — The ID used in the Mailchimp web application. - `name` (string, optional) — The name of the campaign. - `status` (string, optional) — The current status of the campaign. - `channel` (string, optional) — The channel for this campaign (sms or whatsapp). - `list_id` (integer, optional) — The numeric ID of the list associated with this campaign. - `recipient_count` (integer, optional) — The number of recipients for this campaign. - `create_time` (datetime, optional) — The date and time the campaign was created. - `send_time` (datetime, optional) — The date and time the campaign is scheduled to send. - `updated_at` (datetime, optional) — The date and time the campaign was last updated. - `expire_time` (datetime, optional) — The date and time the campaign will stop sending in ISO 8601 format. - `is_send_now` (boolean, optional) — Whether the campaign is configured to send immediately. - `folder_id` (string, optional) — The ID of the folder this campaign is in. - `segments` (list of integer, optional) — The segment IDs used to target recipients for this campaign. - `excluded_segments` (list of integer, optional) — The segment IDs excluded from receiving this campaign. - `_links` (list of SmsCampaignLinksItems, optional) — A list of link types and descriptions for the API schema documents. ## Types ### SmsCampaignLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json { "name": "string" } ``` **Response** ```json { "id": "string", "web_id": "string", "name": "string", "status": "string", "channel": "string", "list_id": 1, "recipient_count": 1, "create_time": "2024-01-15T09:30:00Z", "send_time": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "expire_time": "2024-01-15T09:30:00Z", "is_send_now": true, "folder_id": "string", "segments": [ 1 ], "excluded_segments": [ 1 ], "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ] } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/sms-campaigns" payload = { "name": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/sms-campaigns'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/sms-campaigns" payload := strings.NewReader("{\n \"name\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/sms-campaigns") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mailchimp.com/3.0/sms-campaigns") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.mailchimp.com/3.0/sms-campaigns', [ 'body' => '{ "name": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/sms-campaigns"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/sms-campaigns")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.